# Uses of Class
org.eclipse.emf.cdo.spi.common.commit.CDOChangeSetSegment

Packages that use CDOChangeSetSegment
Package
Description
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.server.db.mapping
Server concepts for dealing with mapping strategies and mappings for classes, lists and types.
org.eclipse.emf.cdo.spi.common.commit
Common service provider interfaces and useful base implementations for dealing with commits and change sets.

## Uses of CDOChangeSetSegment in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server with parameters of type CDOChangeSetSegment
Modifier and Type
Method
Description
`Set<CDOID>`
IStoreAccessor.`readChangeSet(org.eclipse.net4j.util.om.monitor.OMMonitor monitor, CDOChangeSetSegment... segments)`
Returns a set of CDOIDs that have at least one revision in any of the passed branches and time ranges.

## Uses of CDOChangeSetSegment in org.eclipse.emf.cdo.server.db.mapping

Methods in org.eclipse.emf.cdo.server.db.mapping with parameters of type CDOChangeSetSegment
Modifier and Type
Method
Description
`Set<CDOID>`
IClassMapping.`readChangeSet(IDBStoreAccessor accessor, CDOChangeSetSegment[] segments)`
Returns a set of CDOIDs that have at least one revision in any of the passed branches and time ranges.
`Set<CDOID>`
IMappingStrategy.`readChangeSet(IDBStoreAccessor accessor, org.eclipse.net4j.util.om.monitor.OMMonitor monitor, CDOChangeSetSegment[] segments)`
Returns a set of CDOIDs that have at least one revision in any of the passed branches and time ranges.

## Uses of CDOChangeSetSegment in org.eclipse.emf.cdo.spi.common.commit

Methods in org.eclipse.emf.cdo.spi.common.commit that return CDOChangeSetSegment
Modifier and Type
Method
Description
`static CDOChangeSetSegment[]`
CDOChangeSetSegment.`createFrom(long startTime, CDOBranchPoint endPoint)`
`static CDOChangeSetSegment[]`
CDOChangeSetSegment.`createFrom(CDOBranchPoint startPoint, CDOBranchPoint endPoint)`
Methods in org.eclipse.emf.cdo.spi.common.commit with parameters of type CDOChangeSetSegment
Modifier and Type
Method
Description
`static boolean`
CDOChangeSetSegment.`contains(CDOChangeSetSegment[] segments, CDOBranchPoint branchPoint)`
`boolean`
CDOChangeSetSegment.Handler.`handleSegment(CDOChangeSetSegment segment)`